<?php
    include 'includes/header.php';
?>

<body class="bg-penzilsWhite overflow-hidden">
  <?php include 'includes/nav-student.php';  ?>

  <!-- Initial Popup -->
  <section
    class="fixed z-10 inset-0 overflow-y-auto hidden"
    aria-labelledby="browseBox"
    role="dialog"
    aria-modal="true"
    id="browseBox"
  >
    <div
      class="flex items-end justify-center min-h-screen pt-4 px-4 pb-20 text-center sm:block sm:p-0"
    >
      <div
        class="fixed inset-0 bg-gray-500 bg-opacity-75 transition-opacity"
        aria-hidden="true"
      ></div>

      <!-- This element is to trick the browser into centering the modal contents. -->
      <span
        class="hidden sm:inline-block sm:align-middle sm:h-screen"
        aria-hidden="true"
        >&#8203;</span
      >

      <!--
            Modal panel, show/hide based on modal state.

            Entering: "ease-out duration-300"
            From: "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95"
            To: "opacity-100 translate-y-0 sm:scale-100"
            Leaving: "ease-in duration-200"
            From: "opacity-100 translate-y-0 sm:scale-100"
            To: "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95"
            -->
      <div
        class="inline-block align-bottom bg-penzilsWhite rounded-lg px-4 pt-5 pb-4 text-left overflow-hidden shadow-xl transform transition-all sm:my-8 sm:align-middle sm:max-w-lg sm:w-full sm:p-6"
      >
        <div class="flex justify-center">
          <p class="font-bold text-xl text-center max-w-sm">
            Tutors will reach out soon. If you’re feeling proactive, you can
            select one tutor below to get the ball rolling.
          </p>
        </div>
        <div class="grid grid-cols-8 gap-4 mt-6">
          <a
            class="card bg-penzilsWhite col-start-2 col-span-3 flex justify-center"
            id="dashBtn"
            href="./dashboard-student.php"
          >
            <img src="assets/dashboard.svg" alt="" class="w-5" />
            <p class="ml-2">Dashboard</p>
          </a>
          <a
            class="card card--active bg-penzilsWhite col-span-3 flex justify-center"
            href="#"
            id="btnBrowse"
          >
            <img src="assets/search--active.svg" alt="" class="w-5" />
            <p class="ml-2">Browse Tutors</p>
          </a>
        </div>
      </div>
    </div>
  </section>
  <!-- End Initial Popup -->

  <main class="flex h-screen mt-20 lg:mt-0 lg:pb-0">
    <!-- Selectors -->
    <section
      class=" w-full max-w-xs overflow-y-scroll hidden md:flex shadow-2xl flex-col items-center bg-penzilsWhite"
    >
      <div class="w-5/6 card mt-4 shadow-glow bg-white selectdiv">
        <p class="uppercase text-sm text-gray-500">Looking for</p>
        <select name="" id="" class="mt-2 w-full font-semibold">
          <option value="tutor" class="w-full">Tutor</option>
        </select>
      </div>

      <div
        class="w-5/6 bg-penzilsWhite border shadow-glow mt-5 rounded-xl selectdiv"
      >
        <div class="bg-white p-4 border-b shadow-glow rounded-xl">
          <p class="uppercase text-sm text-gray-500">Tutor Teaches</p>
          <select name="" id="" class="mt-2 w-full font-semibold">
            <option value="algebra" class="w-full">Algebra 1</option>
          </select>
        </div>
        <div class="flex justify-center">
          <input
            type="search"
            name=""
            id=""
            class="m-4 px-2 py-1 rounded w-full border border-penzilsCardOutline"
            placeholder="Search"
          />
        </div>
      </div>

      <div class="w-5/6 card mt-5 shadow-glow bg-white">
        <p class="uppercase text-sm text-gray-500">School</p>

        <div class="flex justify-center">
          <input
            type="search"
            name=""
            id=""
            class="mt-4 px-2 py-1 rounded w-full border border-penzilsCardOutline"
            placeholder="Search"
          />
        </div>
      </div>

      <div class="w-5/6 bg-penzilsWhite border shadow-glow mt-5 rounded-xl">
        <div class="bg-white p-4 border-b shadow-glow rounded-xl selectdiv">
          <p class="uppercase text-sm text-gray-500">Location</p>
          <select name="" id="" class="mt-2 w-full font-semibold">
            <option value="" class="w-full">In Person</option>
          </select>
        </div>
        <div class="flex justify-center p-1 items-center selectdiv--small">
          <input
            type="zip"
            name=""
            id=""
            class="m-2 px-2 py-1 rounded w-1/2 border border-penzilsCardOutline"
            placeholder="Zipcode"
          />
          <select
            name=""
            id=""
            class="p-2 w-1/2 font-semibold text-sm rounded bg-transparent"
          >
            <option value="oneMile" class="w-full">Within 1 Mile</option>
          </select>
        </div>
      </div>

      <div class="w-5/6 card mt-5 shadow-glow bg-white selectdiv">
        <p class="uppercase text-sm text-gray-500">Availability</p>
        <select name="" id="" class="mt-2 w-full font-semibold">
          <option value="availability" class="w-full">
            Morning - Monday, Wed, Sat
          </option>
        </select>
      </div>

      <!-- Adds extra spacing for the bottom -->
      <div class="lg:p-14 lg:mb-12"></div>
    </section>

    <!-- Main -->
    <section
      class="pt-8 px-12 w-full overflow-y-scroll "
      x-data="{ tutorPopup: false, tutorChat: false}"
    >
      <!-- Tutor Popup -->
      <section
        class="fixed z-10 inset-0 overflow-y-auto tutorInfo"
        aria-labelledby="tutorInfo"
        role="dialog"
        aria-modal="true"
        id="tutorInfo"
        x-show.transition.duration.300ms.opacity="tutorPopup"
      >
        <div
          class="flex items-end justify-center min-h-screen pt-4 px-4 pb-20 text-center sm:block sm:p-0"
        >
          <div
            class="fixed inset-0 bg-gray-500 bg-opacity-75 transition-opacity"
            aria-hidden="true"
          ></div>

          <!-- This element is to trick the browser into centering the modal contents. -->
          <span
            class="hidden sm:inline-block sm:align-middle sm:h-screen"
            aria-hidden="true"
            >&#8203;</span
          >
          <div
            class="inline-block align-bottom bg-penzilsWhite rounded-lg text-left overflow-hidden shadow-xl transform transition-all sm:my-8 sm:align-middle sm:max-w-2xl sm:w-full pb-6 relative border-penzilsCardOutline"
            x-show.transition.duration.300ms="tutorPopup"
          >
            <div
              class="align-bottom bg-white text-left overflow-hidden transform transition-all sm:align-middle sm:w-full relative border-b mt-3 pb-4 border-penzilsCardOutline"
            >
              <a href="#" class="absolute top-0 right-3" id="tutorInfoClose">
                <img
                  src="assets/close.svg"
                  alt=""
                  @click="tutorPopup = false"
                />
              </a>
              <img
                src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
                alt=""
                class="w-16 h-16 rounded-full absolute top-3 left-5 object-cover"
              />
              <div class="ml-24 mr-12 mt-1">
                <div class="flex justify-between items-center">
                  <!-- Top -->
                  <div>
                    <h3 class="font-bold">Johnathan W.</h3>
                    <div class="flex items-center">
                      <img
                        src="assets/location.svg"
                        alt=""
                        class="inline-block"
                      />
                      <p class="ml-2 italic">Denver, CO (In Person, Online)</p>
                    </div>
                  </div>
                  <button
                    class="flex justify-center cursor-pointer"
                    @click="tutorPopup = false, tutorChat = true"
                  >
                    <a
                      class="bg-penzilsPrimary text-center text-white font-semibold inline-block py-2 px-3 rounded-lg m-4"
                    >
                      <div class="flex">
                        <img src="assets/message.svg" />
                        <p class="ml-2">Message</p>
                      </div>
                    </a>
                  </button>
                </div>
                <!-- Subjects -->
                <p
                  class="mr-1 mt-2 border border-penzilsPrimary rounded-full py-1 px-3 inline-block text-penzilsPrimary"
                >
                  Math
                </p>
                <p
                  class="mr-1 mt-2 border border-penzilsPrimary rounded-full py-1 px-3 inline-block text-penzilsPrimary"
                >
                  Science
                </p>
                <!-- Description -->
                <p class="mt-6 text-gray-500">Bio</p>
                <p>
                  Lorem, ipsum dolor sit amet consectetur adipisicing elit.
                  Accusamus aut laboriosam, accusantium libero cupiditate
                  ratione recusandae laudantium debitis, numquam magni placeat.
                  Voluptatibus facilis ducimus distinctio alias mollitia nostrum
                  at ut qui debitis sunt a odit nemo, vero voluptatum
                  necessitatibus, ullam inventore? Aspernatur quae fugiat
                  impedit dolorum velit? Dolor, nam alias.
                </p>
                <p class="mt-6 text-gray-500">Experience</p>
                <p>
                  Lorem ipsum dolor, sit amet consectetur adipisicing elit.
                  Eligendi voluptatibus sunt minima eos iusto? Vero consequatur
                  minus explicabo porro mollitia enim nisi nulla sunt natus.
                </p>
              </div>
            </div>
            <!-- Availability -->
            <div class="ml-20 mr-12 mt-5 max-w-xl">
              <p class="text-gray-500">Availability</p>
              <div class="p-4 border-2 rounded-xl flex">
                <div>
                  <p class="italic">Morning</p>
                  <p class="font-bold mt-1">Wed, Sun</p>
                </div>
                <div class="ml-12">
                  <p class="italic">Afternoon</p>
                  <p class="font-bold mt-1">Mon, Thu, Fri, Sat</p>
                </div>
                <div class="ml-12">
                  <p class="italic">Evening</p>
                  <p class="font-bold mt-1">Mon, Tue, Wed</p>
                </div>
              </div>
            </div>
            <!-- Schooling -->
            <div class="ml-20 mr-12 mt-5 max-w-xl">
              <p class="text-gray-500">Schooling</p>
              <div class="p-4 border-2 rounded-xl flex">
                <div>
                  <p class="italic">High School</p>
                  <p class="font-bold mt-1">Denver H.S., Borentown H.S.</p>
                </div>
                <div class="ml-12">
                  <p class="italic">College</p>
                  <p class="font-bold mt-1">
                    Denver C.C. , University of Tampa
                  </p>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
      <!-- End Tutor Popup -->

      <!-- Initial Chat Popup -->
      <section
        class="fixed z-20 inset-0 overflow-y-auto"
        aria-labelledby="initialChatTutor"
        role="dialog"
        aria-modal="true"
        id="initialChatTutor"
        x-show.transition.duration.300ms.opacity="tutorChat"
      >
        <div
          class="flex items-end justify-center min-h-screen pt-4 px-4 pb-20 text-center sm:block sm:p-0"
        >
          <div
            class="fixed inset-0 bg-gray-500 bg-opacity-75 transition-opacity"
            aria-hidden="true"
          ></div>

          <!-- This element is to trick the browser into centering the modal contents. -->
          <span
            class="hidden sm:inline-block sm:align-middle sm:h-screen"
            aria-hidden="true"
            >&#8203;</span
          >

          <div
            class="inline-block align-bottom bg-penzilsWhite rounded-lg px-6 pt-5 pb-5 md:pb-4 text-left shadow-xl transform transition-all sm:my-8 sm:align-middle sm:max-w-lg sm:w-full relative"
            x-show.transition.duration.300ms="tutorChat"
          >
            <a href="#" id="chatCloseTutor"
              ><img
                src="assets/close.svg"
                alt=""
                class="absolute top-2 right-2"
                @click="tutorChat = false"
            /></a>
            <h3 class="text-2xl leading-6 text-gray-900 text-center font-bold">
              Johnathan W.
            </h3>
            <p class="text-center my-3 text-sm max-w-md italic">
              Submit a brief introduction to Johnathon and attach any files or
              coursework that would be useful to the tutor.
            </p>

            <textarea
              name=""
              id=""
              rows="5"
              class="bg-penzilsPrimaryLight rounded py-1 px-2 w-full placeholder-gray-500 resize-y text-base"
              placeholder="Aa"
            ></textarea>
            <div class="flex justify-between items-center">
              <a
                class="flex items-center mt-2 cursor-pointer"
                onClick="document.getElementById('studentUploadFile').click()"
              >
                <img src="assets/paperclip.svg" class="w-6 mr-2" />
                <p class="text-penzilsPrimary underline">Attach File</p>
              </a>
              <button
                class="px-4 py-2 bg-penzilsPrimary mt-3 text-right rounded text-white"
                @click="tutorChat = false"
              >
                Send
              </button>
              <input type="file" class="hidden" id="studentUploadFile" />
            </div>
          </div>
        </div>
      </section>
      <!-- End Initial Chat Popup -->

      <h1 class="text-4xl font-black">
        Browse for <span id="title-search">tutors</span> you think would be a
        good fit
      </h1>

      <div class="grid lg:grid-cols-2 xl:grid-cols-4 gap-2 mt-4">
        <!-- Start Card -->
        <div
          class="border text-left rounded-xl border-penzilsCardOutline shadow-cardShadow bg-penzilsWhite"
        >
          <!-- Profile -->
          <div class="border-b p-4 bg-white rounded-t-xl">
            <!-- Rating and top links -->
            <div class="flex justify-between">
              <div class="flex items-center">
                <img src="assets/star.svg" />
                <p class="ml-1 font-bold text-sm">4.9</p>
                <p class="ml-1 italic font-light">(270)</p>
              </div>
              <a
                href="#"
                class="text-penzilsPrimary italic font-semibold underline hidden md:block"
                @click="tutorPopup = true"
                >Profile</a
              >
            </div>

            <!-- Profile Glance -->
            <div class="flex flex-col items-center">
              <div class="relative">
                <img
                  src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
                  class="mt-4 w-24 rounded-full object-cover"
                />
                <div class="activity-dot activity-dot--active"></div>
              </div>
              <p class="font-bold mt-2">Johnathan W.</p>
              <div class="flex items-center mt-1">
                <img src="assets/Location.svg" class="w-3" />
                <p class="italic font-light text-md ml-1">Denver, CO</p>
              </div>
              <p class="text-center mt-2">
                Tampa High School, Tampa C.C., University of Tampa
              </p>
            </div>

            <!-- Specialties -->
            <div
              class="flex justify-center text-penzilsPrimary text-sm flex-wrap"
            >
              <p
                class="mr-1 mt-2 border border-penzilsPrimary rounded-full py-1 px-3 inline-block text-penzilsPrimary"
              >
                Algebra 2
              </p>
              <p
                class="mr-1 mt-2 border border-penzilsPrimary rounded-full py-1 px-3 inline-block text-penzilsPrimary"
              >
                Comp Sci
              </p>
            </div>
            <div class="flex justify-center mt-2 text-gray-400 underline">
              <a href="#">View All</a>
            </div>
          </div>
          <!-- Message Button -->
          <div class="flex justify-center">
            <button
              href="#"
              class="bg-penzilsPrimary text-center text-white font-semibold inline-block py-2 px-3 rounded-lg m-4 message"
              @click="tutorPopup = false, tutorChat = true"
            >
              <div class="flex">
                <img src="assets/message.svg" />
                <p class="ml-2">Message</p>
              </div>
            </button>
          </div>
        </div>
        <!-- end card -->

        <!-- Start Card -->
        <div
          class="border text-left rounded-xl border-penzilsCardOutline shadow-cardShadow bg-penzilsWhite"
        >
          <!-- Profile -->
          <div class="border-b p-4 bg-white rounded-t-xl">
            <!-- Rating and top links -->
            <div class="flex justify-between">
              <div class="flex items-center">
                <img src="assets/star.svg" />
                <p class="ml-1 font-bold text-sm">4.9</p>
                <p class="ml-1 italic font-light">(270)</p>
              </div>
              <a
                href="#"
                class="text-penzilsPrimary italic font-semibold underline hidden md:block"
                @click="tutorPopup = true"
                >Profile</a
              >
            </div>

            <!-- Profile Glance -->
            <div class="flex flex-col items-center">
              <div class="relative">
                <img
                  src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
                  class="mt-4 w-24 rounded-full object-cover"
                />
                <div class="activity-dot activity-dot--active"></div>
              </div>
              <p class="font-bold mt-2">Johnathan W.</p>
              <div class="flex items-center mt-1">
                <img src="assets/Location.svg" class="w-3" />
                <p class="italic font-light text-md ml-1">Denver, CO</p>
              </div>
              <p class="text-center mt-2">
                Tampa High School, Tampa C.C., University of Tampa
              </p>
            </div>

            <!-- Specialties -->
            <div
              class="flex justify-center text-penzilsPrimary text-sm flex-wrap"
            >
              <p
                class="mx-1 mt-2 border border-penzilsPrimary rounded-full py-1 px-3"
              >
                AP European History
              </p>
            </div>
            <!-- Adds extra spacing if there is no "View All" button -->
            <div
              class="flex justify-center mt-2 text-gray-400 underline mb-6"
            ></div>
          </div>
          <!-- Message Button -->
          <div class="flex justify-center">
            <button
              href="#"
              class="bg-penzilsPrimary text-center text-white font-semibold inline-block py-2 px-3 rounded-lg m-4 message"
              @click="tutorPopup = false, tutorChat = true"
            >
              <div class="flex">
                <img src="assets/message.svg" />
                <p class="ml-2">Message</p>
              </div>
            </button>
          </div>
        </div>
        <!-- end card -->

        <!-- Add extra space on bottom for mobile -->
        <div class="pb-16 mb-16 lg:pb-0 lg:mb-0"></div>
      </div>
    </section>
  </main>
  <?php include "includes/footer.php"; ?>
</body>
