<?php
    include 'includes/header.php';
?>

<body class="bg-ludusWhite">
    <?php include 'includes/nav.php';  ?>
    <main class="flex">
      <!-- Sidebar -->
      <section
        class="w-80 hidden md:flex h-screen shadow-2xl overflow-auto flex-col items-center bg-ludusWhite"
      >

        <div class="w-5/6 bg-ludusWhite border shadow-glow mt-5 rounded-xl">
          <div class="bg-white p-4 border-b shadow-glow rounded-xl">
            <p class="uppercase text-sm text-gray-500">Essay Type</p>
            <select name="" id="" class="mt-2 w-full no-indent font-semibold">
              <option value="Editor" class="w-full">MLA, APA</option>
            </select>
          </div>
          <div class="flex justify-center">
            <input
              type="search"
              name=""
              id=""
              class="m-4 p-1 rounded w-5/6 border border-ludusCardOutline"
              placeholder="Search"
            />
          </div>
        </div>

        <div class="w-5/6 card mt-5 shadow-glow bg-white">
          <p class="uppercase text-sm text-gray-500">Essay Length</p>
          <select name="" id="" class="mt-2 w-full no-indent font-semibold">
            <option value="Editor" class="w-full">Doesn't Matter</option>
          </select>
        </div>

        <div class="w-5/6 card mt-5 shadow-glow bg-white">
          <p class="uppercase text-sm text-gray-500">School</p>
          <select name="" id="" class="mt-2 w-full no-indent font-semibold">
            <option value="Editor" class="w-full">
              DenverC.C., Richard Stockton
            </option>
          </select>
        </div>
      </section>

      <!-- Main -->
      <section class="pt-10 px-20 w-full">
        <h1 class="text-4xl font-bold">
          Browse for <span id="title-search">editors</span> you think would be a
          good fit
        </h1>

        <div class="grid lg:grid-cols-2 xl:grid-cols-4 gap-2 mt-4">
          <!-- Card -->
          <div
            class="border text-left rounded-xl border-ludusCardOutline shadow-cardShadow bg-ludusWhite"
          >
            <!-- Profile -->
            <div class="border-b p-4 bg-white rounded-t-xl">
              <!-- Rating and top links -->
              <div class="flex justify-between">
                <div class="flex items-center">
                  <img src="assets/star.svg" />
                  <p class="ml-1 font-bold text-sm">4.9</p>
                  <p class="ml-1 italic font-extralight">(270)</p>
                </div>
                <a
                  href="#"
                  class="text-ludusPrimary italic font-semibold underline"
                  >Profile</a
                >
              </div>

              <!-- Profile Glance -->
              <div class="flex flex-col items-center">
                <div class="relative">
                  <img
                    src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
                    class="mt-4 w-24 rounded-full"
                  />
                  <div class="activity-dot activity-dot--active"></div>
                </div>
                <p class="font-bold mt-2">Johnathan W.</p>
                <div class="flex items-center mt-1">
                  <img src="assets/clock.svg" class="w-3" />
                  <p class="italic font-extralight text-xs ml-1">
                    Within 48 Hours
                  </p>
                </div>
              </div>
              <!-- Specialties -->
              <div class="flex justify-center mt-3 text-ludusPrimary text-sm">
                <p
                  class="mx-1 border border-ludusPrimary rounded-full py-1 px-2"
                >
                  MLA
                </p>
                <p
                  class="mx-1 border border-ludusPrimary rounded-full py-1 px-2"
                >
                  APA
                </p>
              </div>
            </div>
            <!-- Editor Button -->
            <div class="flex justify-center">
              <button
                href="#"
                class="bg-ludusPrimary text-center text-white font-semibold inline-block py-2 px-3 rounded-lg m-4"
              >
                <div class="flex">
                  <img src="assets/twofriends.svg" />
                  <p class="ml-2">Choose Editor</p>
                </div>
              </button>
            </div>
          </div>
          <!-- end card -->
        </div>
      </section>
    </main>
<?php include "includes/footer.php"; ?>
