<?php
    include 'includes/header.php';
?>
<body class="bg-penzilsWhite overflow-hidden">
  <?php
    include 'includes/nav-tutor.php';
?>

  <div class="grid grid-cols-12 h-screen">
    <div
      class="col-span-12 lg:col-span-8 xl:col-span-9 overflow-y-scroll"
      x-data="{studentPopup: false, studentChat: false, updateDropdown: false, oppDropdown: false}"
    >
      <!-- Student Popup -->
      <section
        class="fixed z-20 inset-0 overflow-y-auto studentInfo"
        aria-labelledby="studentInfo"
        role="dialog"
        aria-modal="true"
        id="studentInfo"
        x-show.transition.duration.300ms.opacity="studentPopup"
      >
        <div
          class="
            flex
            items-end
            justify-center
            min-h-screen
            pt-4
            px-4
            pb-20
            text-center
            sm:block
            sm:p-0
          "
        >
          <div
            class="fixed inset-0 bg-gray-500 bg-opacity-75 transition-opacity"
            aria-hidden="true"
          ></div>

          <!-- This element is to trick the browser into centering the modal contents. -->
          <span class="hidden sm:inline-block sm:align-middle sm:h-screen" aria-hidden="true"
            >&#8203;</span
          >
          <div
            class="
              inline-block
              align-bottom
              bg-penzilsWhite
              rounded-lg
              text-left
              overflow-hidden
              shadow-xl
              transform
              transition-all
              sm:my-8
              sm:align-middle
              sm:max-w-2xl
              sm:w-full
              pb-6
              relative
              border-penzilsCardOutline
            "
            x-show.transition.duration.300ms="studentPopup"
          >
            <div
              class="
                align-bottom
                bg-white
                text-left
                overflow-hidden
                transform
                transition-all
                sm:align-middle
                sm:w-full
                relative
                border-b
                mt-3
                pb-4
                border-penzilsCardOutline
              "
            >
              <a href="#" class="absolute top-0 right-3" id="studentInfoClose">
                <img src="assets/close.svg" alt="" @click="studentPopup = false" />
              </a>
              <img
                src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
                alt=""
                class="w-16 h-16 rounded-full absolute top-3 left-5 object-cover"
              />
              <div class="ml-24 mr-12 mt-1">
                <div class="flex justify-between items-center">
                  <!-- Top -->
                  <div>
                    <h3 class="font-bold">Johnathan W.</h3>
                    <div class="flex items-center">
                      <img src="assets/location.svg" alt="" class="inline-block" />
                      <p class="ml-2 italic">Denver, CO (In Person, Online)</p>
                    </div>
                  </div>
                  <div
                    class="flex justify-center cursor-pointer"
                    @click="studentPopup=false, studentChat = true"
                  >
                    <a
                      href="#"
                      class="
                        bg-penzilsPrimary
                        text-center text-white
                        font-semibold
                        py-2
                        px-3
                        rounded-lg
                        m-4
                        flex
                      "
                    >
                      <img src="assets/message.svg" class="hidden m-0 md:mr-2 md:block" />
                      <p class="">Message</p>
                    </a>
                  </div>
                </div>
                <!-- Subjects -->
                <p
                  class="
                    mr-1
                    mt-2
                    border border-penzilsPrimary
                    rounded-full
                    py-1
                    px-3
                    inline-block
                    text-penzilsPrimary
                  "
                >
                  Math
                </p>
                <p
                  class="
                    mr-1
                    mt-2
                    border border-penzilsPrimary
                    rounded-full
                    py-1
                    px-3
                    inline-block
                    text-penzilsPrimary
                  "
                >
                  Science
                </p>
                <!-- Description -->
                <p class="mt-6 text-gray-500">Info</p>
                <p>
                  Hi my name is Sandra and I am a freshman in high school, looking to get help with
                  Math and Science. I specifically need help reviewing my first homework assignment
                  and quiz from Algebra I. I also need help with Science, specifically our current
                  Physics unit. I would appreciate any help I can get from the tutors on here. My
                  availability is listed below!
                </p>
                <p class="mt-3"><span class="text-gray-500">Grade:</span> 9</p>
                <p class="mt-3 text-gray-500">Submitted Documents:</p>
                <div class="grid grid-rows-2 grid-flow-col max-w-2xl mt-2 gap-1">
                  <a href="#" class="text-penzilsPrimary underline">Homework One</a>
                  <a href="#" class="text-penzilsPrimary underline">Homework Two</a>
                  <a href="#" class="text-penzilsPrimary underline">Homework Three</a>
                  <a href="#" class="text-penzilsPrimary underline">Homework Four Here</a>
                  <a href="#" class="text-penzilsPrimary underline">Homework Five</a>
                </div>
              </div>
            </div>
            <!-- Availability -->
            <div class="ml-12 mr-12 mt-5 max-w-xl">
              <p class="text-gray-500">Availability</p>
              <div class="p-4 border-2 rounded-xl flex">
                <div>
                  <p class="italic">Morning</p>
                  <p class="font-bold mt-1">Wed, Sun</p>
                </div>
                <div class="ml-12">
                  <p class="italic">Afternoon</p>
                  <p class="font-bold mt-1">Mon, Thu, Fri, Sat</p>
                </div>
                <div class="ml-12">
                  <p class="italic">Evening</p>
                  <p class="font-bold mt-1">Mon, Tue, Wed</p>
                </div>
              </div>
            </div>
            <!-- Schooling -->
            <div class="ml-12 mr-12 mt-5 max-w-xl">
              <p class="text-gray-500">Schooling</p>
              <div class="p-4 border-2 rounded-xl flex">
                <div>
                  <p class="italic">High School</p>
                  <p class="font-bold mt-1">Denver H.S., Borentown H.S.</p>
                </div>
                <div class="ml-12">
                  <p class="italic">College</p>
                  <p class="font-bold mt-1">Denver C.C. , University of Tampa</p>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
      <!-- End Student Popup -->

      <!-- Initial Chat Popup -->
      <section
        class="fixed z-20 inset-0 overflow-y-auto"
        aria-labelledby="initialChatTutor"
        role="dialog"
        aria-modal="true"
        id="initialChatTutor"
        x-show.transition.duration.300ms.opacity="studentChat"
      >
        <div
          class="
            flex
            items-end
            justify-center
            min-h-screen
            pt-4
            px-4
            pb-20
            text-center
            sm:block
            sm:p-0
          "
        >
          <div
            class="fixed inset-0 bg-gray-500 bg-opacity-75 transition-opacity"
            aria-hidden="true"
          ></div>

          <!-- This element is to trick the browser into centering the modal contents. -->
          <span class="hidden sm:inline-block sm:align-middle sm:h-screen" aria-hidden="true"
            >&#8203;</span
          >

          <div
            class="
              inline-block
              align-bottom
              bg-penzilsWhite
              rounded-lg
              px-6
              pt-5
              md:pb-4
              text-left
              shadow-xl
              transform
              transition-all
              sm:my-8
              sm:align-middle
              sm:max-w-lg
              sm:w-full
              relative
            "
            x-show.transition.duration.300ms="studentChat"
          >
            <a href="#" id="chatCloseTutor"
              ><img
                src="assets/close.svg"
                alt=""
                class="absolute top-2 right-2"
                @click="studentChat = false"
            /></a>
            <h3 class="text-2xl leading-6 text-gray-900 text-center font-bold">Johnathan W.</h3>
            <p class="text-center my-3 text-sm max-w-md italic">
              Submit a brief introduction to Johnathon.
            </p>

            <textarea
              name=""
              id=""
              rows="5"
              class="
                bg-penzilsPrimaryLight
                rounded
                py-1
                px-2
                w-full
                placeholder-gray-500
                resize-y
                text-base
              "
              placeholder="Aa"
            ></textarea>
            <button
              class="px-4 py-2 bg-penzilsPrimary mt-3 text-right rounded text-white float-right"
              @click="studentChat = false"
            >
              Send
            </button>
          </div>
        </div>
      </section>
      <!-- End Initial Chat Popup -->

      <!-- Start Main -->
      <main class="flex mt-20 lg:mt-0">
        <section class="py-4 px-4 md:py-8 md:px-12 w-full">
          <div class="relative">
            <div class="inline-flex cursor-pointer" @click="updateDropdown = !updateDropdown">
              <h2 class="text-2xl font-light">Updates</h2>
              <img src="assets/dropdown--main.svg" alt="" class="ml-4" />
            </div>
            <!-- Dropdown Start -->
            <div
              class="
                absolute
                top-7
                left-24
                flex flex-col
                bg-penzilsPrimaryMedium
                text-black
                rounded
                p-1
              "
              x-show.transition="updateDropdown"
            >
              <a href="#" class="p-1 rounded hover:bg-penzilsPrimaryLight transition-all"
                >This Week</a
              >
              <a href="#" class="p-1 rounded hover:bg-penzilsPrimaryLight mt-1 transition-all"
                >This Month</a
              >
            </div>
            <!-- Dropdown end -->
          </div>

          <div class="grid lg:grid-cols-2 xl:grid-cols-3 gap-2 mt-4">
            <!-- Card -->
            <div
              class="
                border
                text-left
                rounded-xl
                text-white
                border-penzilsCardOutline
                shadow-cardShadow
                p-4
                bg-penzilsPrimary
              "
            >
              <div class="flex justify-between">
                <p class="ml-1 italic font-light">Submitted 02/11/21</p>
                <div class="flex">
                  <a href="#" class="underline" @click="studentPopup = true">Details</a>
                  <img src="assets/close--active.svg" alt="" class="ml-4" />
                </div>
              </div>
              <p class="font-bold text-2xl mt-2">Online Session</p>
              <div class="flex justify-between items-center mt-2">
                <div class="flex items-center">
                  <img
                    src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
                    class="w-10 rounded-full object-cover"
                  />
                  <p class="ml-2">Sandra D.</p>
                </div>
                <a href="#" class="text-lg underline font-bold">Submit</a>
              </div>
            </div>
            <!-- End card -->

            <!-- Card -->
            <div
              class="
                border
                text-left
                rounded-xl
                border-penzilsCardOutline
                shadow-cardShadow
                p-4
                bg-white
              "
            >
              <div class="flex justify-between">
                <p class="ml-1 italic font-light">20 mins (recurring)</p>
                <div class="flex">
                  <a href="#" class="underline text-penzilsPrimary" @click="studentPopup = true"
                    >Details</a
                  >
                  <img src="assets/close.svg" alt="" class="ml-4" />
                </div>
              </div>
              <p class="font-bold text-2xl mt-2">Upcoming Session</p>
              <div class="flex justify-between items-center mt-2">
                <div class="flex items-center">
                  <img
                    src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
                    class="w-10 rounded-full object-cover"
                  />
                  <p class="ml-2">Sandra D.</p>
                </div>
              </div>
            </div>
            <!-- End card -->

            <!-- Card -->
            <div
              class="
                border
                text-left
                rounded-xl
                border-penzilsCardOutline
                shadow-cardShadow
                p-4
                bg-white
              "
            >
              <div class="flex justify-between">
                <p class="ml-1 italic font-light">20 mins</p>
                <div class="flex">
                  <a href="#" class="underline text-penzilsPrimary" @click="studentPopup = true"
                    >Details</a
                  >
                  <img src="assets/close.svg" alt="" class="ml-4" />
                </div>
              </div>
              <p class="font-bold text-2xl mt-2">Pending Session</p>
              <div class="flex justify-between items-center mt-2">
                <div class="flex items-center">
                  <img
                    src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
                    class="w-10 rounded-full object-cover"
                  />
                  <p class="ml-2">Sandra D.</p>
                </div>
              </div>
            </div>
            <!-- End card -->

            <!-- Card -->
            <div
              class="
                border
                text-left
                rounded-xl
                border-penzilsCardOutline
                shadow-cardShadow
                p-4
                bg-white
              "
            >
              <div class="flex justify-between">
                <p class="ml-1 italic font-light">Submitted 02/11/21</p>
                <div class="flex">
                  <a href="#" class="underline text-penzilsPrimary" @click="studentPopup = true"
                    >Details</a
                  >
                  <img src="assets/close.svg" alt="" class="ml-4" />
                </div>
              </div>
              <p class="font-bold text-2xl mt-2">Pending Paper</p>
              <div class="flex justify-between items-center mt-2">
                <div class="flex items-center">
                  <img
                    src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
                    class="w-10 rounded-full object-cover"
                  />
                  <p class="ml-2">Sandra D.</p>
                </div>
                <a href="#" class="text-lg underline font-bold text-penzilsPrimary">Submit</a>
              </div>
            </div>
            <!-- End card -->
          </div>
          <!-- End Grid -->

          <div class="relative mt-12">
            <div class="inline-flex cursor-pointer" @click="oppDropdown = !oppDropdown">
              <h2 class="text-2xl font-light">Opportunities</h2>
              <img src="assets/dropdown--main.svg" alt="" class="ml-4" />
            </div>
            <!-- Dropdown Start -->
            <div
              class="
                absolute
                top-7
                left-40
                flex flex-col
                bg-penzilsPrimaryMedium
                text-black
                rounded
                p-1
              "
              x-show.transition="oppDropdown"
            >
              <a href="#" class="p-1 rounded hover:bg-penzilsPrimaryLight transition-all"
                >This Week</a
              >
              <a href="#" class="p-1 rounded hover:bg-penzilsPrimaryLight mt-1 transition-all"
                >This Month</a
              >
            </div>
            <!-- Dropdown end -->
          </div>

          <!-- Start Grid -->
          <div class="grid lg:grid-cols-2 xl:grid-cols-3 gap-2 mt-4">
            <!-- Card -->
            <div
              class="
                border
                text-left
                rounded-xl
                border-penzilsCardOutline
                shadow-cardShadow
                p-4
                bg-white
              "
            >
              <div class="flex justify-between">
                <p class="ml-1 italic font-light">03/16/2021</p>
                <div class="flex">
                  <a href="#" class="underline text-penzilsPrimary" @click="studentPopup = true"
                    >Details</a
                  >
                  <img src="assets/close.svg" alt="" class="ml-4" />
                </div>
              </div>
              <p class="font-bold text-2xl mt-2">Online Session</p>
              <div class="flex justify-between items-center mt-2">
                <div class="flex items-center">
                  <img
                    src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
                    class="w-10 rounded-full object-cover"
                  />
                  <p class="ml-2">Sandra D.</p>
                </div>
              </div>
            </div>
            <!-- End card -->

            <!-- Card -->
            <div
              class="
                border
                text-left
                rounded-xl
                border-penzilsCardOutline
                shadow-cardShadow
                p-4
                bg-white
              "
            >
              <div class="flex justify-between">
                <p class="ml-1 italic font-light">02/19/2021</p>
                <div class="flex">
                  <a href="#" class="underline text-penzilsPrimary" @click="studentPopup = true"
                    >Details</a
                  >
                  <img src="assets/close.svg" alt="" class="ml-4" />
                </div>
              </div>
              <p class="font-bold text-2xl mt-2">Online Session</p>
              <div class="flex justify-between items-center mt-2">
                <div class="flex items-center">
                  <img
                    src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
                    class="w-10 rounded-full object-cover"
                  />
                  <p class="ml-2">Sandra D.</p>
                </div>
              </div>
            </div>
            <!-- End card -->

            <!-- Card -->
            <div
              class="
                border
                text-left
                rounded-xl
                border-penzilsCardOutline
                shadow-cardShadow
                p-4
                bg-white
              "
            >
              <div class="flex justify-between">
                <p class="ml-1 italic font-light">02/17/2021</p>
                <div class="flex">
                  <a href="#" class="underline text-penzilsPrimary" @click="studentPopup = true"
                    >Details</a
                  >
                  <img src="assets/close.svg" alt="" class="ml-4" />
                </div>
              </div>
              <p class="font-bold text-2xl mt-2">In Person Session</p>
              <div class="flex justify-between items-center mt-2">
                <div class="flex items-center">
                  <img
                    src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
                    class="w-10 rounded-full object-cover"
                  />
                  <p class="ml-2">Sandra D.</p>
                </div>
              </div>
            </div>
            <!-- End card -->

            <!-- Card -->
            <div
              class="
                border
                text-left
                rounded-xl
                border-penzilsCardOutline
                shadow-cardShadow
                p-4
                bg-white
              "
            >
              <div class="flex justify-between">
                <p class="ml-1 italic font-light">02/17/2021</p>
                <div class="flex">
                  <a href="#" class="underline text-penzilsPrimary" @click="studentPopup = true"
                    >Details</a
                  >
                  <img src="assets/close.svg" alt="" class="ml-4" />
                </div>
              </div>
              <p class="font-bold text-2xl mt-2">In Person Session</p>
              <div class="flex justify-between items-center mt-2">
                <div class="flex items-center">
                  <img
                    src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
                    class="w-10 rounded-full object-cover"
                  />
                  <p class="ml-2">Sandra D.</p>
                </div>
              </div>
            </div>
            <!-- End card -->
          </div>
          <!-- Adds extra spacing for the bottom -->
          <div class="p-12 mb-12"></div>
          <!-- End Grid -->
        </section>
        <!-- End Main -->
      </main>
    </div>

    <!-- Sidebar Chats -->
    <section
      class="lg:col-start-9 lg:col-span-4 xl:col-start-10 xl:col-span-3 hidden lg:block"
      x-data="{scheduling: false, indieChat: false}"
    >
      <!-- Scheduling Popup -->
      <section
        class="fixed z-20 inset-0 overflow-y-auto"
        aria-labelledby="scheduling"
        role="dialog"
        aria-modal="true"
        id="scheduling"
        x-show.transition.duration.300ms.opacity="scheduling"
      >
        <div
          class="
            flex
            items-end
            justify-center
            min-h-screen
            pt-4
            px-4
            pb-20
            text-center
            sm:block
            sm:p-0
          "
        >
          <div
            class="fixed inset-0 bg-gray-500 bg-opacity-75 transition-opacity"
            aria-hidden="true"
          ></div>

          <!-- This element is to trick the browser into centering the modal contents. -->
          <span class="hidden sm:inline-block sm:align-middle sm:h-screen" aria-hidden="true"
            >&#8203;</span
          >
          <div
            class="
              inline-block
              align-bottom
              bg-penzilsWhite
              rounded-lg
              px-4
              pt-5
              pb-4
              text-left
              overflow-hidden
              shadow-xl
              transform
              transition-all
              sm:my-8
              sm:align-middle
              sm:max-w-2xl
              sm:w-full
              sm:p-6
            "
            x-show.transition.duration.300ms="scheduling"
          >
            <h1 class="text-2xl font-light">Schedule a Session</h1>
            <div class="grid grid-cols-6 gap-3 mt-5">
              <div class="col-span-3 selectdiv--popup">
                <p class="text-gray-500 italic">What type of help?</p>
                <select name="" id="sessionHelp" class="card shadow-glow bg-white mt-2 w-full">
                  <option value="tutor" class="w-full">Tutor</option>
                </select>
              </div>

              <div class="col-span-3 selectdiv--popup">
                <p class="text-gray-500 italic">Location</p>
                <select name="" id="sessionLocation" class="card shadow-glow bg-white mt-2 w-full">
                  <option value="person" class="w-full">In Person</option>
                  <option value="online" class="w-full">Online</option>
                </select>
              </div>

              <div class="col-span-3">
                <p class="text-gray-500 italic">What time?</p>
                <input type="time" class="card shadow-glow bg-white mt-2 w-full" />
              </div>

              <div class="col-span-3 selectdiv--popup">
                <p class="text-gray-500 italic">How long?</p>
                <select name="" id="sessionLength" class="card shadow-glow bg-white mt-2 w-full">
                  <option value="onehour" class="w-full">1 hour</option>
                  <option value="twohours" class="w-full">2 hours</option>
                </select>
              </div>

              <div class="col-span-6 flex justify-center" id="dateTimePicker"></div>

              <div class="col-span-3 selectdiv--popup">
                <p class="text-gray-500 italic">How often?</p>
                <select name="" id="sessionOften" class="card shadow-glow bg-white mt-2 w-full">
                  <option value="once" class="w-full" selected>Once</option>
                  <option value="daily" class="w-full">Daily</option>
                  <option value="weekly" class="w-full">Weekly</option>
                  <option value="monthly" class="w-full">Monthly</option>
                </select>
              </div>

              <!-- If selected Weekly -->
              <div class="col-span-6 grid grid-cols-7 gap-3 hidden mb-2" id="sessionWeekly">
                <p class="text-gray-500 italic">Days</p>
                <button class="col-start-1 btn date">
                  <p class="text-center">Mon</p>
                </button>
                <button class="btn date text-center">
                  <p class="text-center">Tue</p>
                </button>
                <button class="btn date">
                  <p class="text-center">Wed</p>
                </button>
                <button class="btn date"><p class="text-center">Thu</p></button>
                <button class="btn date">
                  <p class="text-center">Fri</p>
                </button>
                <button class="btn date"><p class="text-center">Sat</p></button>
                <button class="btn date"><p class="text-center">Sun</p></button>
              </div>
              <!-- End Weekly -->

              <!-- If selected Monthly -->
              <!-- <div class="col-start-1 col-span-3 selectdiv--popup hidden" id="sessionMonthly">
                <p class="text-gray-500 italic">Week</p>
                <select name="" id="sessionWeek" class="card shadow-glow bg-white mt-2 w-full">
                  <option value="daily" class="w-full">First</option>
                  <option value="weekly" class="w-full">Second</option>
                  <option value="monthly" class="w-full">Third</option>
                  <option value="monthly" class="w-full">Forth</option>
                </select>
              </div>

              <div class="col-span-3 selectdiv--popup hidden" id="sessionMonthlyDay">
                <p class="text-gray-500 italic">Day</p>
                <select name="" id="sessionLocation" class="card shadow-glow bg-white mt-2 w-full">
                  <option value="daily" class="w-full">Monday</option>
                  <option value="weekly" class="w-full">Tuesday</option>
                  <option value="monthly" class="w-full">Wednesday</option>
                  <option value="monthly" class="w-full">Thursday</option>
                  <option value="monthly" class="w-full">Friday</option>
                  <option value="monthly" class="w-full">Saturday</option>
                  <option value="monthly" class="w-full">Sunday</option>
                </select>
              </div> -->
              <!-- End Monthly -->

              <!-- Adds extra space for buttons to wrap onto new lines -->
              <div class="col-start-1"></div>

              <button class="btn col-start-5" id="scheduleCancel" @click="scheduling=false">
                <p class="text-center">Cancel</p>
              </button>
              <button class="btn btn--active" id="scheduleSend" @click="scheduling=false">
                <p class="text-center">Send</p>
              </button>
            </div>
          </div>
        </div>
      </section>
      <!-- End Scheduling Popup -->

      <!-- Start Main Chat Screen -->
      <section
        class="
          hidden
          lg:block
          h-screen
          bg-white
          border-l border-penzilsCardOutline
          p-4
          overflow-y-scroll overflow-x-hidden
        "
        x-show.transition.opacity="indieChat === false"
      >
        <h2 class="text-2xl font-light mb-4">Your Chats</h2>

        <!-- Start chat bubble -->
        <div class="chat-bubble" @click="indieChat=true">
          <div class="relative">
            <img
              src="https://images.unsplash.com/photo-1522075469751-3a6694fb2f61?ixid=MXwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHw%3D&ixlib=rb-1.2.1&auto=format&fit=crop&w=1400&q=80"
              class="w-16 max-w-none rounded-full object-cover"
            />
            <div class="activity-dot--small activity-dot--active"></div>
          </div>
          <div class="flex justify-between w-full items-center ml-2">
            <div class="flex flex-col w-10/12">
              <div class="flex justify-between">
                <p class="font-bold">Johnathan W.</p>
                <p class="hidden xl:flex font-bold opacity-40">Just Now</p>
              </div>
              <div>
                <p
                  class="
                    w-5/6
                    overflow-hidden overflow-ellipsis
                    whitespace-nowrap
                    opacity-40
                    font-bold
                  "
                >
                  Lorem ipsum dolor sit amet consectetur adipisicing elit. Expedita, nesciunt.
                </p>
              </div>
            </div>
          </div>
        </div>

        <hr class="w-11/12 mx-auto" />
        <!-- end chat bubble-->

        <!-- Adds extra spacing for the bottom of the chats -->
        <div class="p-12 mb-12"></div>
      </section>
      <!-- End Main Chat Screen -->

      <!-- Start Individual Chats -->
      <section
        class="
          h-screen
          bg-white
          border-l border-penzilsCardOutline
          p-4
          overflow-x-hidden
          relative
          z-10
        "
        x-show.transition.opacity="indieChat"
      >
        <!-- Start Individual Chat -->
        <div
          class="
            flex
            items-center
            justify-between
            absolute
            top-0
            left-0
            w-full
            p-4
            bg-white
            border-b
          "
        >
          <button class="flex" @click="indieChat = false">
            <img src="assets/arrow--left.svg" alt="" />
            <p class="text-sm text-penzilsPrimary underline ml-2">Back</p>
          </button>
          <h2 class="text-lg font-bold transform">Olivia L.</h2>
          <button
            class="flex bg-penzilsPrimary py-2 px-4 rounded cursor-pointer"
            @click="scheduling = true"
          >
            <p class="font-bold text-white">Schedule</p>
          </button>
        </div>
        <div class="overflow-y-scroll max-h-xl min-h-xl mt-2">
          <div class="mt-14 mb-3">
            <p class="message--friend">
              Hey Lucas! This is Olivia responding to your recent request for me to be your tutor!
            </p>
            <p class="message--self">
              Hey Lucas! This is Olivia responding to your recent request for me to be your tutor!
            </p>
            <p class="message--friend">
              Hey Lucas! This is Olivia responding to your recent request for me to be your tutor!
            </p>
            <p class="message--self">
              Hey Lucas! This is Olivia responding to your recent request for me to be your tutor!
            </p>
            <p class="message--friend">
              Hey Lucas! This is Olivia responding to your recent request for me to be your tutor!
            </p>
            <p class="message--self">
              Hey Lucas! This is Olivia responding to your recent request for me to be your tutor!
            </p>
            <p class="message--friend">
              Hey Lucas! This is Olivia responding to your recent request for me to be your tutor!
            </p>
            <p class="message--self">
              Hey Lucas! This is Olivia responding to your recent request for me to be your tutor!
            </p>
            <p class="message--friend">
              Hey Lucas! This is Olivia responding to your recent request for me to be your tutor!
            </p>
            <p class="message--self">
              Hey Lucas! This is Olivia responding to your recent request for me to be your tutor!
            </p>
            <p class="message--friend">
              Hey Lucas! This is Olivia responding to your recent request for me to be your tutor!
            </p>
            <p class="message--self">
              Hey Lucas! This is Olivia responding to your recent request for me to be your tutor!
            </p>
            <p class="message--friend">
              Hey Lucas! This is Olivia responding to your recent request for me to be your tutor!
            </p>
            <p class="message--self">
              Hey Lucas! This is Olivia responding to your recent request for me to be your tutor!
            </p>
            <p class="message--friend">
              Hey Lucas! This is Olivia responding to your recent request for me to be your tutor!
            </p>
            <p class="message--self">
              Hey Lucas! This is Olivia responding to your recent request for me to be your tutor!
            </p>
            <p class="message--friend">
              Hey Lucas! This is Olivia responding to your recent request for me to be your tutor!
            </p>
            <p class="message--self">
              Hey Lucas! This is Olivia responding to your recent request for me to be your tutor!
            </p>
            <p class="message--friend">
              Hey Lucas! This is Olivia responding to your recent request for me to be your tutor!
            </p>
            <p class="hidden" id="lastMessageTutor"></p>
          </div>
        </div>
        <div class="absolute bottom-30 left-0 p-3 bg-white w-full border-t flex rounded-b-lg">
          <img src="assets/smiley.svg" alt="" class="cursor-pointer" />
          <img src="assets/paperclip.svg" alt="" class="ml-4 cursor-pointer" />
          <input
            type="text"
            name=""
            id=""
            class="
              ml-4
              bg-penzilsPrimaryLight
              border border-penzilsCardOutline
              rounded
              text-sm
              py-1
              px-2
              w-full
              placeholder-gray-500
            "
            placeholder="Aa"
          />
          <img src="assets/send.svg" alt="" class="ml-4 cursor-pointer" />
        </div>
      </section>
      <!-- End Individual Chats -->
    </section>
  </div>
  <!-- End Main Grid -->
</body>
<?php
    include 'includes/footer.php';
?>
<style>
  :root {
    --litepicker-day-width: 80px;
    --litepicker-container-months-color-bg: transparent;
    --litepicker-container-months-box-shadow-color: transparent;
    --litepicker-button-prev-month-color-hover: #222f97;
    --litepicker-button-next-month-color-hover: #222f97;
    --litepicker-day-color-hover: #222f97;
    --litepicker-is-today-color: #222f97;
    --litepicker-button-apply-color-bg: #222f97;
    --litepicker-highlighted-day-color-bg: #222f97;
    --litepicker-is-start-color-bg: #222f97;
    --litepicker-is-end-color-bg: #222f97;
    --litepicker-is-in-range-color: #edeef7;
  }
</style>

<script>
  const picker = new Litepicker({
    element: document.getElementById('dateTimePicker'),
    format: 'MMMM DD, YYYY',
    inlineMode: true,
    singleMode: true,
  })
</script>

